delve (1.27.1-2) unstable; urgency=medium

  * Team upload.
  * New patch: skip failing test on ppc64el

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 18 Aug 2026 10:35:12 +0200

delve (1.27.1-1) unstable; urgency=medium

  * Team upload.

  [ Marcos Talau ]
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.27.1
    - Refresh patches
  * Remove debian/gitlab-ci.yml
  * Update d/watch to v5
  * Update d/gbp.conf for DEP-14

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 18 Aug 2026 09:55:29 +0200

delve (1.27.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.27.0
    - Refresh patches
    - Add new patch to remove telemetry
  * Update Standards-Version to 4.7.4, no changes needed
  * Disable use of pristine-tar

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 02 Jul 2026 15:15:01 +0200

delve (1.26.1-2) unstable; urgency=medium

  * Team upload.
  * d/p/0009-Skip-TestDisassPosCmd-fails-with-Go-1.26.3.patch:
    Skip test that fails with Go 1.26.3 (Closes: #1137556).

 -- Juan Manuel Mendez Rey <juan.mendezr@proton.me>  Mon, 15 Jun 2026 17:00:36 +0200

delve (1.26.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26.1
    - Refresh patches
  * Remove filepath from d/copyright which has been deleted upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Mar 2026 14:47:18 +0100

delve (1.26.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS on arm64

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Feb 2026 16:22:15 +0100

delve (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26.0
    - Refresh patches
    - Update build dependency on golang-github-derekparker-trie-dev to v3
    - Skip two tests which are failing
  * Add d/upstream/metadata
  * Remove Priority: optional from d/control
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.3
  * Use wrap-and-sort -atkb

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Feb 2026 16:53:45 +0100

delve (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2 

 -- Anshul Singh <anshul.singh@canonical.com>  Tue, 09 Sep 2025 18:02:23 +0000

delve (1.24.0-4) unstable; urgency=medium

  * Add exp.linuxppc64le,exp.linuxriscv64 tags when generating manpages

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 24 Feb 2025 17:33:13 +0800

delve (1.24.0-3) unstable; urgency=medium

  * Move manpage generation to build phase

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Feb 2025 18:33:14 +0800

delve (1.24.0-2) unstable; urgency=medium

  * Add exp.linuxppc64le,exp.linuxriscv64 to test tags

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2025 16:28:39 +0800

delve (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Enable building on ppc64el
  * Enable building on riscv64
  * Bump Standards-Version to 4.7.0 (no changes)
  * Bump golang-golang-x-arch-dev to 0.11.0
  * Disable telemetry.
  * Skip TestGuessSubstitutePath which doesn't work in GOPATH build mode

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Dec 2024 03:31:20 +0800

delve (1.23.1-2) unstable; urgency=medium

  * Backport patch to fix tests on AMD CPU with AVX512 (Closes: #1082973)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 15 Oct 2024 13:08:45 +0800

delve (1.23.1-1) unstable; urgency=medium

  * New upstream version 1.23.1
    + Fix TestRangeOverFuncNext on linux/386 (Closes: #1081718)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2024 16:13:33 +0800

delve (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0
  * Bump golang-starlark-dev to 0.0~git20240725

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Aug 2024 17:02:33 +0800

delve (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Drop patches applied in new version
    + 0005-drop-outdated-ppc64-retinstruction.patch
    + 0006-no-extra-step-in-on-386-with-go1.21.patch
    + 0007-skip-TestCgoStacktrace2-on-386-again.patch

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 23 Feb 2024 20:05:09 +0800

delve (1.21.2-2) unstable; urgency=medium

  * Add patches to fix FTBFS on i386

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Nov 2023 16:19:53 +0800

delve (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2
  * Refresh patches, drop patches applied in new version
    - debian/patches/0005-proc-read-context-from-sigtrampgo-fixes-TestCgoStack.patch
    - debian/patches/0006-use-valid--timezone-in-tests
  * Drop outdated ppc64 retinstruction to fix building with latest
    golang-golang-x-arch

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Nov 2023 22:10:34 +0800

delve (1.21.0-3) unstable; urgency=medium

  * Avoid using legacy timezone in tests (Closes: #1052030)

 -- Paul Mars <paul.mars@canonical.com>  Thu, 12 Oct 2023 10:22:35 +0200

delve (1.21.0-2) unstable; urgency=medium

  * Backport patch to fix TestCgoStacktrace2 on Go1.21

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Jul 2023 09:02:13 +0800

delve (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0
    + Read debug info file from correct directory in trace
      command (Closes: #1037284)
  * Don't generate vmlinux.h with bpftool (LP: #2021481)
    bpftool is not functional on Ubuntu builder
  * Bump golang-starlark-dev to 0.0~git20230726.7dadff3
  * Bump golang-github-google-go-dap-dev to 0.10.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 28 Jul 2023 22:00:15 +0800

delve (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Regenerate vmlinux.h when building
  * Bump golang-github-google-go-dap-dev to 0.7.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Apr 2023 16:17:37 +0800

delve (1.20.1-2) unstable; urgency=medium

  * Add tzdata to Build-Depends. (Closes: #1029416)
    Needed by fixtures code for tests.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Jan 2023 01:03:16 +0800

delve (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Dec 2022 15:04:47 +0800

delve (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 09 Dec 2022 03:05:15 +0800

delve (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 24 Aug 2022 00:21:15 +0800

delve (1.9.0-2) unstable; urgency=medium

  * Add llvm to Build-Depends. New bpf2go needs llvm-strip.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Aug 2022 23:58:41 +0800

delve (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Jul 2022 15:30:06 +0800

delve (1.8.3-2) unstable; urgency=medium

  * Add golang-github-go-delve-liner to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Jun 2022 22:25:38 +0800

delve (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Exclude unexpected binary in source
  * Temporary switch to peterh/liner until go-delve/liner is packaged
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Jun 2022 22:17:37 +0800

delve (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 08 Feb 2022 02:06:53 +0800

delve (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Dec 2021 03:31:34 +0800

delve (1.7.3-2) unstable; urgency=medium

  * Skip TestWatchpointCounts on arm64.
    The test fails on ci.debian.net, though it succeeds on buildd and
    autopkgtest.ubuntu.com.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 02:52:06 +0800

delve (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Add golang-github-cilium-ebpf-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 18 Nov 2021 03:19:47 +0800

delve (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2
  * Add golang-github-derekparker-trie-dev to Build-Depends
  * Bump golang-github-google-go-dap-dev to 0.6.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Nov 2021 16:48:59 +0800

delve (1.7.0-3) unstable; urgency=medium

  * Skip failed TestDump on arm64
    https://github.com/go-delve/delve/issues/2630

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 01:59:46 +0800

delve (1.7.0-2) unstable; urgency=medium

  * Backport patch to fix test on arm64
    + 0006-pkg-proc-Prefer-throw-instead-of-fatalthrow.patch

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 22 Aug 2021 03:21:15 +0800

delve (1.7.0-1) unstable; urgency=medium

  [ Dan Bungert ]
  * New upstream version 1.7.0
  * control: update build-dep ver on dap

  [ Shengjing Zhu ]
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Aug 2021 00:06:04 +0800

delve (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 May 2021 17:43:20 +0800

delve (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 Jan 2021 23:53:43 +0800

delve (1.5.1-2) unstable; urgency=medium

  * Skip failed tests on arm64
    https://github.com/go-delve/delve/issues/2212

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Dec 2020 00:15:59 +0800

delve (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Exclude unexpected binary in upstream source
  * Bump golang-github-google-go-dap-dev to 0.4.0
  * Try to enable tests on all arch

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Dec 2020 20:17:05 +0800

delve (1.5.0-7) unstable; urgency=medium

  * Only enforce tests on amd64

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Nov 2020 21:44:15 +0800

delve (1.5.0-6) unstable; urgency=medium

  * Add patch to fix FTBFS with new Go and starlark (Closes: #973136)
  * Update Section to golang
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 01:17:34 +0800

delve (1.5.0-5) unstable; urgency=medium

  * Install manpages

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 27 Oct 2020 21:52:47 +0800

delve (1.5.0-4) unstable; urgency=medium

  * Limit Architecture to amd64 arm64 and i386
  * Skip test which needs to bind port 8888.
    This port is bound by other service in buildd.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Oct 2020 00:32:47 +0800

delve (1.5.0-3) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Oct 2020 22:57:08 +0800

delve (1.5.0-2) unstable; urgency=medium

  * Fix copyright for some files derived from Go and Bazel

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Aug 2020 19:23:22 +0800

delve (1.5.0-1) unstable; urgency=medium

  [ Emanuel Krivoy ]
  * Initial packaging (Closes: #932835)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Aug 2020 18:58:22 +0800
